Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPLOT3DReader Class Reference

`#include <vtkPLOT3DReader.h>`

Inheritance diagram for vtkPLOT3DReader:

[legend]
Collaboration diagram for vtkPLOT3DReader:

[legend]
List of all members.

## Detailed Description

read PLOT3D data files

Date:
  2002/09/05 18:50:32

Revision:
  1.53

vtkPLOT3DReader is a reader object that reads PLOT3D formatted files and generates structured grid(s) on output. PLOT3D is a computer graphics program designed to visualize the grids and solutions of computational fluid dynamics. Please see the "PLOT3D User's Manual" available from NASA Ames Research Center, Moffett Field CA.

PLOT3D files consist of a grid file (also known as XYZ file), an optional solution file (also known as a Q file), and an optional function file that contains user created data (currently unsupported). The Q file contains solution information as follows: the four parameters free stream mach number (Fsmach), angle of attack (Alpha), Reynolds number (Re), and total integration time (Time). This information is stored in an array called Properties in the FieldData of each output (tuple 0: fsmach, tuple 1: alpha, tuple 2: re, tuple 3: time). In addition, the solution file contains the flow density (scalar), flow momentum (vector), and flow energy (scalar).

The reader can generate additional scalars and vectors (or "functions") from this information. To use vtkPLOT3DReader, you must specify the particular function number for the scalar and vector you want to visualize. This implementation of the reader provides the following functions. The scalar functions are: -1 - don't read or compute any scalars 100 - density 110 - pressure 120 - temperature 130 - enthalpy 140 - internal energy 144 - kinetic energy 153 - velocity magnitude 163 - stagnation energy 170 - entropy 184 - swirl.

The vector functions are: -1 - don't read or compute any vectors 200 - velocity 201 - vorticity 202 - momentum 210 - pressure gradient.

(Other functions are described in the PLOT3D spec, but only those listed are implemented here.) Note that by default, this reader creates the density scalar (100) and momentum vector (202) as output. (These are just read in from the solution file.) Please note that the validity of computation is a function of this class's gas constants (R, Gamma) and the equations used. They may not be suitable for your computational domain.

Additionally, you can read other data and associate it as a vtkDataArray into the output's point attribute data. Use the method AddFunction() to list all the functions that you'd like to read. AddFunction() accepts an integer parameter that defines the function number.

See also:
  vtkStructuredGridSource vtkStructuredGrid

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (50%)
  - Geveci, Berk (36%)
  - Martin, Ken (7%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkPLOT3DReader.cxx)`
  - .`h` (`/IO/vtkPLOT3DReader.h)`

Examples:
  vtkPLOT3DReader (Examples)

Tests:
  vtkPLOT3DReader (Tests)

Definition at line 104 of file vtkPLOT3DReader.h.

## Public Types
typedef vtkStructuredGridSource | Superclass
enum | { FILE_BIG_ENDIAN = 0, FILE_LITTLE_ENDIAN = 1 }
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (int idx, vtkStructuredGrid *output)
virtual int | CanReadFile (const char *fname)
void | SetFileName (const char *name)
const char * | GetFileName ()
virtual void | SetXYZFileName (const char *)
virtual char * | GetXYZFileName ()
virtual void | SetQFileName (const char *)
virtual char * | GetQFileName ()
int | GetNumberOfOutputs ()
int | GetNumberOfGrids ()
virtual void | SetBinaryFile (int)
virtual int | GetBinaryFile ()
virtual void | BinaryFileOn ()
virtual void | BinaryFileOff ()
virtual void | SetMultiGrid (int)
virtual int | GetMultiGrid ()
virtual void | MultiGridOn ()
virtual void | MultiGridOff ()
virtual void | SetHasByteCount (int)
virtual int | GetHasByteCount ()
virtual void | HasByteCountOn ()
virtual void | HasByteCountOff ()
virtual void | SetIBlanking (int)
virtual int | GetIBlanking ()
virtual void | IBlankingOn ()
virtual void | IBlankingOff ()
virtual void | SetTwoDimensionalGeometry (int)
virtual int | GetTwoDimensionalGeometry ()
virtual void | TwoDimensionalGeometryOn ()
virtual void | TwoDimensionalGeometryOff ()
virtual void | SetForceRead (int)
virtual int | GetForceRead ()
virtual void | ForceReadOn ()
virtual void | ForceReadOff ()
virtual void | SetDoNotReduceNumberOfOutputs (int)
virtual int | GetDoNotReduceNumberOfOutputs ()
virtual void | DoNotReduceNumberOfOutputsOn ()
virtual void | DoNotReduceNumberOfOutputsOff ()
void | SetByteOrderToBigEndian ()
void | SetByteOrderToLittleEndian ()
virtual void | SetByteOrder (int)
virtual int | GetByteOrder ()
const char * | GetByteOrderAsString ()
virtual void | SetR (float)
virtual float | GetR ()
virtual void | SetGamma (float)
virtual float | GetGamma ()
virtual void | SetUvinf (float)
virtual float | GetUvinf ()
virtual void | SetVvinf (float)
virtual float | GetVvinf ()
virtual void | SetWvinf (float)
virtual float | GetWvinf ()
void | SetScalarFunctionNumber (int num)
virtual int | GetScalarFunctionNumber ()
void | SetVectorFunctionNumber (int num)
virtual int | GetVectorFunctionNumber ()
void | AddFunction (int functionNumber)
void | RemoveFunction (int)
void | RemoveAllFunctions ()
## Static Public Methods
vtkPLOT3DReader * | New ()
int | IsTypeOf (const char *type)
vtkPLOT3DReader * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPLOT3DReader ()
| ~vtkPLOT3DReader ()
void | ExecuteInformation ()
void | Execute ()
int | CheckFile (FILE *&fp, const char *fname)
int | CheckGeometryFile (FILE *&xyzFp)
int | CheckSolutionFile (FILE *&qFp)
void | SkipByteCount (FILE *fp)
int | ReadIntBlock (FILE *fp, int n, int *block)
int | ReadFloatBlock (FILE *fp, int n, float *block)
int | GetNumberOfOutputsInternal (FILE *xyzFp, int verify=1)
int | ReadGeometryHeader (FILE *fp)
int | ReadQHeader (FILE *fp)
void | CalculateFileSize (FILE *fp)
long | EstimateSize (int ni, int nj, int nk)
void | AssignAttribute (int fNumber, vtkStructuredGrid *output, int attributeType)
void | MapFunction (int fNumber, vtkStructuredGrid *output)
void | ComputeTemperature (vtkStructuredGrid *output)
void | ComputePressure (vtkStructuredGrid *output)
void | ComputeEnthalpy (vtkStructuredGrid *output)
void | ComputeKineticEnergy (vtkStructuredGrid *output)
void | ComputeVelocityMagnitude (vtkStructuredGrid *output)
void | ComputeEntropy (vtkStructuredGrid *output)
void | ComputeSwirl (vtkStructuredGrid *output)
void | ComputeVelocity (vtkStructuredGrid *output)
void | ComputeVorticity (vtkStructuredGrid *output)
void | ComputePressureGradient (vtkStructuredGrid *output)
## Protected Attributes
char * | XYZFileName
char * | QFileName
int | BinaryFile
int | HasByteCount
int | TwoDimensionalGeometry
int | MultiGrid
int | ForceRead
int | ByteOrder
int | IBlanking
int | DoNotReduceNumberOfOutputs
long | FileSize
float | R
float | Gamma
float | Uvinf
float | Vvinf
float | Wvinf
vtkIntArray * | FunctionList
int | ScalarFunctionNumber
int | VectorFunctionNumber

## Member Typedef Documentation

typedef vtkStructuredGridSource vtkPLOT3DReader::Superclass

| Reimplemented from vtkStructuredGridSource. Definition at line 108 of file vtkPLOT3DReader.h.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  FILE_BIG_ENDIAN |
  FILE_LITTLE_ENDIAN |
Definition at line 271 of file vtkPLOT3DReader.h.

## Constructor & Destructor Documentation

vtkPLOT3DReader::vtkPLOT3DReader | ( |  | ) | `[protected]`

vtkPLOT3DReader::~vtkPLOT3DReader | ( |  | ) | `[protected]`

## Member Function Documentation

vtkPLOT3DReader* vtkPLOT3DReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkPLOT3DReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredGridSource.

int vtkPLOT3DReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridSource.

virtual int vtkPLOT3DReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridSource.

vtkPLOT3DReader* vtkPLOT3DReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredGridSource.

void vtkPLOT3DReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredGridSource.

void vtkPLOT3DReader::SetFileName | ( | const char * | name | ) | `[inline]`

| Set/Get the PLOT3D geometry filename. Definition at line 113 of file vtkPLOT3DReader.h.

const char* vtkPLOT3DReader::GetFileName | ( |  | ) | `[inline]`

| Set/Get the PLOT3D geometry filename. Definition at line 114 of file vtkPLOT3DReader.h.

virtual void vtkPLOT3DReader::SetXYZFileName | ( | const char * |  | ) | `[virtual]`

| Set/Get the PLOT3D geometry filename.

virtual char* vtkPLOT3DReader::GetXYZFileName | ( |  | ) | `[virtual]`

| Set/Get the PLOT3D geometry filename.

virtual void vtkPLOT3DReader::SetQFileName | ( | const char * |  | ) | `[virtual]`

| Set/Get the PLOT3D solution filename.

virtual char* vtkPLOT3DReader::GetQFileName | ( |  | ) | `[virtual]`

| Set/Get the PLOT3D solution filename.

int vtkPLOT3DReader::GetNumberOfOutputs | ( |  | ) | `[virtual]`

| This returns the number of outputs this reader will produce. This number is equal to the number of grids in the current file. This method has to be called before getting any output if the number of outputs will be greater than 1 (the first output is always the same). Note that every time this method is invoked, the header file is opened and part of the header is read. Reimplemented from vtkSource.

int vtkPLOT3DReader::GetNumberOfGrids | ( |  | ) | `[inline]`

| This returns the number of outputs this reader will produce. This number is equal to the number of grids in the current file. This method has to be called before getting any output if the number of outputs will be greater than 1 (the first output is always the same). Note that every time this method is invoked, the header file is opened and part of the header is read. Definition at line 133 of file vtkPLOT3DReader.h. References vtkSource::GetNumberOfOutputs().

void vtkPLOT3DReader::SetOutput | ( | int | idx,
|  | vtkStructuredGrid * | output
| ) |

| Replace an output.

virtual void vtkPLOT3DReader::SetBinaryFile | ( | int |  | ) | `[virtual]`

| Is the file to be read written in binary format (as opposed to ascii).

virtual int vtkPLOT3DReader::GetBinaryFile | ( |  | ) | `[virtual]`

| Is the file to be read written in binary format (as opposed to ascii).

virtual void vtkPLOT3DReader::BinaryFileOn | ( |  | ) | `[virtual]`

| Is the file to be read written in binary format (as opposed to ascii).

virtual void vtkPLOT3DReader::BinaryFileOff | ( |  | ) | `[virtual]`

| Is the file to be read written in binary format (as opposed to ascii).

virtual void vtkPLOT3DReader::SetMultiGrid | ( | int |  | ) | `[virtual]`

| Does the file to be read contain information about number of grids. In some PLOT3D files, the first value contains the number of grids (even if there is only 1). If reading such a file, set this to true.

virtual int vtkPLOT3DReader::GetMultiGrid | ( |  | ) | `[virtual]`

| Does the file to be read contain information about number of grids. In some PLOT3D files, the first value contains the number of grids (even if there is only 1). If reading such a file, set this to true.

virtual void vtkPLOT3DReader::MultiGridOn | ( |  | ) | `[virtual]`

| Does the file to be read contain information about number of grids. In some PLOT3D files, the first value contains the number of grids (even if there is only 1). If reading such a file, set this to true.

virtual void vtkPLOT3DReader::MultiGridOff | ( |  | ) | `[virtual]`

| Does the file to be read contain information about number of grids. In some PLOT3D files, the first value contains the number of grids (even if there is only 1). If reading such a file, set this to true.

virtual void vtkPLOT3DReader::SetHasByteCount | ( | int |  | ) | `[virtual]`

| Were the arrays written with leading and trailing byte counts ? Usually, files written by a fortran program will contain these byte counts whereas the ones written by C/C++ won't.

virtual int vtkPLOT3DReader::GetHasByteCount | ( |  | ) | `[virtual]`

| Were the arrays written with leading and trailing byte counts ? Usually, files written by a fortran program will contain these byte counts whereas the ones written by C/C++ won't.

virtual void vtkPLOT3DReader::HasByteCountOn | ( |  | ) | `[virtual]`

| Were the arrays written with leading and trailing byte counts ? Usually, files written by a fortran program will contain these byte counts whereas the ones written by C/C++ won't.

virtual void vtkPLOT3DReader::HasByteCountOff | ( |  | ) | `[virtual]`

| Were the arrays written with leading and trailing byte counts ? Usually, files written by a fortran program will contain these byte counts whereas the ones written by C/C++ won't.

virtual void vtkPLOT3DReader::SetIBlanking | ( | int |  | ) | `[virtual]`

| Is there iblanking (point visibility) information in the file. If there is iblanking arrays, these will be read and assigned to the PointVisibility array of the output.

virtual int vtkPLOT3DReader::GetIBlanking | ( |  | ) | `[virtual]`

| Is there iblanking (point visibility) information in the file. If there is iblanking arrays, these will be read and assigned to the PointVisibility array of the output.

virtual void vtkPLOT3DReader::IBlankingOn | ( |  | ) | `[virtual]`

| Is there iblanking (point visibility) information in the file. If there is iblanking arrays, these will be read and assigned to the PointVisibility array of the output.

virtual void vtkPLOT3DReader::IBlankingOff | ( |  | ) | `[virtual]`

| Is there iblanking (point visibility) information in the file. If there is iblanking arrays, these will be read and assigned to the PointVisibility array of the output.

virtual void vtkPLOT3DReader::SetTwoDimensionalGeometry | ( | int |  | ) | `[virtual]`

| If only two-dimensional data was written to the file, turn this on.

virtual int vtkPLOT3DReader::GetTwoDimensionalGeometry | ( |  | ) | `[virtual]`

| If only two-dimensional data was written to the file, turn this on.

virtual void vtkPLOT3DReader::TwoDimensionalGeometryOn | ( |  | ) | `[virtual]`

| If only two-dimensional data was written to the file, turn this on.

virtual void vtkPLOT3DReader::TwoDimensionalGeometryOff | ( |  | ) | `[virtual]`

| If only two-dimensional data was written to the file, turn this on.

virtual void vtkPLOT3DReader::SetForceRead | ( | int |  | ) | `[virtual]`

| Try to read a binary file even if the file length seems to be inconsistent with the header information. Use this with caution, if the file length is not the same as calculated from the header. either the file is corrupt or the settings are wrong.

virtual int vtkPLOT3DReader::GetForceRead | ( |  | ) | `[virtual]`

| Try to read a binary file even if the file length seems to be inconsistent with the header information. Use this with caution, if the file length is not the same as calculated from the header. either the file is corrupt or the settings are wrong.

virtual void vtkPLOT3DReader::ForceReadOn | ( |  | ) | `[virtual]`

| Try to read a binary file even if the file length seems to be inconsistent with the header information. Use this with caution, if the file length is not the same as calculated from the header. either the file is corrupt or the settings are wrong.

virtual void vtkPLOT3DReader::ForceReadOff | ( |  | ) | `[virtual]`

| Try to read a binary file even if the file length seems to be inconsistent with the header information. Use this with caution, if the file length is not the same as calculated from the header. either the file is corrupt or the settings are wrong.

virtual void vtkPLOT3DReader::SetDoNotReduceNumberOfOutputs | ( | int |  | ) | `[virtual]`

| If this is on, the reader will never reduce the number of outputs after reading a file with n grids and producing n outputs. If the file read afterwards contains fewer grids, the extra outputs will be empty. This option can be used by application which rely on the initial number of outputs not shrinking.

virtual int vtkPLOT3DReader::GetDoNotReduceNumberOfOutputs | ( |  | ) | `[virtual]`

| If this is on, the reader will never reduce the number of outputs after reading a file with n grids and producing n outputs. If the file read afterwards contains fewer grids, the extra outputs will be empty. This option can be used by application which rely on the initial number of outputs not shrinking.

virtual void vtkPLOT3DReader::DoNotReduceNumberOfOutputsOn | ( |  | ) | `[virtual]`

| If this is on, the reader will never reduce the number of outputs after reading a file with n grids and producing n outputs. If the file read afterwards contains fewer grids, the extra outputs will be empty. This option can be used by application which rely on the initial number of outputs not shrinking.

virtual void vtkPLOT3DReader::DoNotReduceNumberOfOutputsOff | ( |  | ) | `[virtual]`

| If this is on, the reader will never reduce the number of outputs after reading a file with n grids and producing n outputs. If the file read afterwards contains fewer grids, the extra outputs will be empty. This option can be used by application which rely on the initial number of outputs not shrinking.

void vtkPLOT3DReader::SetByteOrderToBigEndian | ( |  | ) |

| Set the byte order of the file (remember, more Unix workstations write big endian whereas PCs write little endian). Default is big endian (since most older PLOT3D files were written by workstations).

void vtkPLOT3DReader::SetByteOrderToLittleEndian | ( |  | ) |

| Set the byte order of the file (remember, more Unix workstations write big endian whereas PCs write little endian). Default is big endian (since most older PLOT3D files were written by workstations).

virtual void vtkPLOT3DReader::SetByteOrder | ( | int |  | ) | `[virtual]`

| Set the byte order of the file (remember, more Unix workstations write big endian whereas PCs write little endian). Default is big endian (since most older PLOT3D files were written by workstations).

virtual int vtkPLOT3DReader::GetByteOrder | ( |  | ) | `[virtual]`

| Set the byte order of the file (remember, more Unix workstations write big endian whereas PCs write little endian). Default is big endian (since most older PLOT3D files were written by workstations).

const char* vtkPLOT3DReader::GetByteOrderAsString | ( |  | ) |

| Set the byte order of the file (remember, more Unix workstations write big endian whereas PCs write little endian). Default is big endian (since most older PLOT3D files were written by workstations).

virtual void vtkPLOT3DReader::SetR | ( | float |  | ) | `[virtual]`

| Set/Get the gas constant. Default is 1.0.

virtual float vtkPLOT3DReader::GetR | ( |  | ) | `[virtual]`

| Set/Get the gas constant. Default is 1.0.

virtual void vtkPLOT3DReader::SetGamma | ( | float |  | ) | `[virtual]`

| Set/Get the ratio of specific heats. Default is 1.4.

virtual float vtkPLOT3DReader::GetGamma | ( |  | ) | `[virtual]`

| Set/Get the ratio of specific heats. Default is 1.4.

virtual void vtkPLOT3DReader::SetUvinf | ( | float |  | ) | `[virtual]`

| Set/Get the x-component of the free-stream velocity. Default is 1.0.

virtual float vtkPLOT3DReader::GetUvinf | ( |  | ) | `[virtual]`

| Set/Get the x-component of the free-stream velocity. Default is 1.0.

virtual void vtkPLOT3DReader::SetVvinf | ( | float |  | ) | `[virtual]`

| Set/Get the y-component of the free-stream velocity. Default is 1.0.

virtual float vtkPLOT3DReader::GetVvinf | ( |  | ) | `[virtual]`

| Set/Get the y-component of the free-stream velocity. Default is 1.0.

virtual void vtkPLOT3DReader::SetWvinf | ( | float |  | ) | `[virtual]`

| Set/Get the z-component of the free-stream velocity. Default is 1.0.

virtual float vtkPLOT3DReader::GetWvinf | ( |  | ) | `[virtual]`

| Set/Get the z-component of the free-stream velocity. Default is 1.0.

void vtkPLOT3DReader::SetScalarFunctionNumber | ( | int | num | ) |

| Specify the scalar function to extract. If ==(-1), then no scalar function is extracted.

virtual int vtkPLOT3DReader::GetScalarFunctionNumber | ( |  | ) | `[virtual]`

| Specify the scalar function to extract. If ==(-1), then no scalar function is extracted.

void vtkPLOT3DReader::SetVectorFunctionNumber | ( | int | num | ) |

| Specify the vector function to extract. If ==(-1), then no vector function is extracted.

virtual int vtkPLOT3DReader::GetVectorFunctionNumber | ( |  | ) | `[virtual]`

| Specify the vector function to extract. If ==(-1), then no vector function is extracted.

void vtkPLOT3DReader::AddFunction | ( | int | functionNumber | ) |

| Specify additional functions to read. These are placed into the point data as data arrays. Later on they can be used by labeling them as scalars, etc.

void vtkPLOT3DReader::RemoveFunction | ( | int |  | ) |

| Specify additional functions to read. These are placed into the point data as data arrays. Later on they can be used by labeling them as scalars, etc.

void vtkPLOT3DReader::RemoveAllFunctions | ( |  | ) |

| Specify additional functions to read. These are placed into the point data as data arrays. Later on they can be used by labeling them as scalars, etc.

virtual int vtkPLOT3DReader::CanReadFile | ( | const char * | fname | ) | `[virtual]`

| Return 1 if the reader can read the given file name. Only meaningful for binary files.

void vtkPLOT3DReader::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkPLOT3DReader::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

int vtkPLOT3DReader::CheckFile | ( | FILE *& | fp,
|  | const char * | fname
| ) | `[protected]`

int vtkPLOT3DReader::CheckGeometryFile | ( | FILE *& | xyzFp | ) | `[protected]`

int vtkPLOT3DReader::CheckSolutionFile | ( | FILE *& | qFp | ) | `[protected]`

void vtkPLOT3DReader::SkipByteCount | ( | FILE * | fp | ) | `[protected]`

int vtkPLOT3DReader::ReadIntBlock | ( | FILE * | fp,
|  | int | n,
|  | int * | block
| ) | `[protected]`

int vtkPLOT3DReader::ReadFloatBlock | ( | FILE * | fp,
|  | int | n,
|  | float * | block
| ) | `[protected]`

int vtkPLOT3DReader::GetNumberOfOutputsInternal | ( | FILE * | xyzFp,
|  | int | verify = 1
| ) | `[protected]`

int vtkPLOT3DReader::ReadGeometryHeader | ( | FILE * | fp | ) | `[protected]`

int vtkPLOT3DReader::ReadQHeader | ( | FILE * | fp | ) | `[protected]`

void vtkPLOT3DReader::CalculateFileSize | ( | FILE * | fp | ) | `[protected]`

long vtkPLOT3DReader::EstimateSize | ( | int | ni,
|  | int | nj,
|  | int | nk
| ) | `[protected]`

void vtkPLOT3DReader::AssignAttribute | ( | int | fNumber,
|  | vtkStructuredGrid * | output,
|  | int | attributeType
| ) | `[protected]`

void vtkPLOT3DReader::MapFunction | ( | int | fNumber,
|  | vtkStructuredGrid * | output
| ) | `[protected]`

void vtkPLOT3DReader::ComputeTemperature | ( | vtkStructuredGrid * | output | ) | `[protected]`

void vtkPLOT3DReader::ComputePressure | ( | vtkStructuredGrid * | output | ) | `[protected]`

void vtkPLOT3DReader::ComputeEnthalpy | ( | vtkStructuredGrid * | output | ) | `[protected]`

void vtkPLOT3DReader::ComputeKineticEnergy | ( | vtkStructuredGrid * | output | ) | `[protected]`

void vtkPLOT3DReader::ComputeVelocityMagnitude | ( | vtkStructuredGrid * | output | ) | `[protected]`

void vtkPLOT3DReader::ComputeEntropy | ( | vtkStructuredGrid * | output | ) | `[protected]`

void vtkPLOT3DReader::ComputeSwirl | ( | vtkStructuredGrid * | output | ) | `[protected]`

void vtkPLOT3DReader::ComputeVelocity | ( | vtkStructuredGrid * | output | ) | `[protected]`

void vtkPLOT3DReader::ComputeVorticity | ( | vtkStructuredGrid * | output | ) | `[protected]`

void vtkPLOT3DReader::ComputePressureGradient | ( | vtkStructuredGrid * | output | ) | `[protected]`

## Member Data Documentation

char* vtkPLOT3DReader::XYZFileName`[protected]`

| Definition at line 317 of file vtkPLOT3DReader.h.

char* vtkPLOT3DReader::QFileName`[protected]`

| Definition at line 318 of file vtkPLOT3DReader.h.

int vtkPLOT3DReader::BinaryFile`[protected]`

| Definition at line 320 of file vtkPLOT3DReader.h.

int vtkPLOT3DReader::HasByteCount`[protected]`

| Definition at line 321 of file vtkPLOT3DReader.h.

int vtkPLOT3DReader::TwoDimensionalGeometry`[protected]`

| Definition at line 322 of file vtkPLOT3DReader.h.

int vtkPLOT3DReader::MultiGrid`[protected]`

| Definition at line 323 of file vtkPLOT3DReader.h.

int vtkPLOT3DReader::ForceRead`[protected]`

| Definition at line 324 of file vtkPLOT3DReader.h.

int vtkPLOT3DReader::ByteOrder`[protected]`

| Definition at line 325 of file vtkPLOT3DReader.h.

int vtkPLOT3DReader::IBlanking`[protected]`

| Definition at line 326 of file vtkPLOT3DReader.h.

int vtkPLOT3DReader::DoNotReduceNumberOfOutputs`[protected]`

| Definition at line 327 of file vtkPLOT3DReader.h.

long vtkPLOT3DReader::FileSize`[protected]`

| Definition at line 329 of file vtkPLOT3DReader.h.

float vtkPLOT3DReader::R`[protected]`

| Definition at line 332 of file vtkPLOT3DReader.h.

float vtkPLOT3DReader::Gamma`[protected]`

| Definition at line 333 of file vtkPLOT3DReader.h.

float vtkPLOT3DReader::Uvinf`[protected]`

| Definition at line 334 of file vtkPLOT3DReader.h.

float vtkPLOT3DReader::Vvinf`[protected]`

| Definition at line 335 of file vtkPLOT3DReader.h.

float vtkPLOT3DReader::Wvinf`[protected]`

| Definition at line 336 of file vtkPLOT3DReader.h.

vtkIntArray* vtkPLOT3DReader::FunctionList`[protected]`

| Definition at line 339 of file vtkPLOT3DReader.h.

int vtkPLOT3DReader::ScalarFunctionNumber`[protected]`

| Definition at line 341 of file vtkPLOT3DReader.h.

int vtkPLOT3DReader::VectorFunctionNumber`[protected]`

| Definition at line 342 of file vtkPLOT3DReader.h.

The documentation for this class was generated from the following file:

- IO/vtkPLOT3DReader.h